=== debian/tests/control ===
Tests: upstream-simulation-test-suite
Depends: @, git, build-essential, ca-certificates
Restrictions: isolation-container, needs-root, allow-stderr, rw-build-tree, build-needed

Tests: time-sources-from-dhcp-servers
Depends: @, isc-dhcp-server, isc-dhcp-client, iproute2, kmod
Restrictions: isolation-machine, needs-root
