## chrony 3.3

=== debian/changelog ===
chrony (3.3-3) unstable; urgency=medium

  * debian/:
    - Normalize packaging with “wrap-and-sort -ab”.

  * debian/control:
    - Bump standard-version to 4.2.0:
        ↳ Install upstream release notes as “/usr/share/doc/chrony/NEWS.gz”.
          Installing these as “/usr/share/doc/package/changelog.gz” is now
          deprecated.

  * debian/patches/:
    - Cherry-pick upstream patch to avoid hangs when starting
    chronyd on newer kernels by falling back to urandom.
    Thanks to Gustavo Scalet <gustavo.scalet@collabora.com> for the report and
    the initial patch. (LP: #1787366, Closes: #906276)

  * debian/upstream/metadata:
    - Add DEP12 upstream metadata file.

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 18 Aug 2018 16:23:19 +0200

chrony (3.3-2) unstable; urgency=medium

  * debian/chrony.service:
    - Conflict with ntp.service.

  * debian/control:
    - Bump standard-version to 4.1.4 (no changes required).
    - Switch to the Nettle cryptographic library for hash functions.

  [ Helmut Grohne ]
  * debian/rules:
    - Pass CC to make and set “--host-system” to fix FTCBFS. (Closes: #895852)

  [ Christian Ehrhardt ]
  * debian/usr.sbin.chronyd:
    - Support all paths suggested in the man page.
    (LP: #1771028, Closes: #898614)

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 14 May 2018 21:37:30 +0200

chrony (3.3-1) unstable; urgency=medium

  * Import upstream version 3.3:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

  * Merge branch “experimental” into “master”.

  * debian/copyright:
    - Update copyright year.

  * debian/usr.sbin.chronyd:
    - Allow CAP_NET_ADMIN to support HW timestamping. (LP: #1761327)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 05 Apr 2018 02:08:31 +0200

chrony (3.3~pre1-1) experimental; urgency=medium

  * Import upstream version 3.3-pre1:
    - Please see /usr/share/doc/chrony/changelog.gz for the release notes.

  * debian/copyright:
    - Add “hash_nettle.c” copyright information and update copyright year of
    test/unit/*

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 15 Mar 2018 13:58:21 +0100

chrony (3.2-5) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * debian/usr.sbin.chronyd:
    - Allow write access to RTC, PPS and PTP devices.
    (Closes: #891201, LP: #1751241)

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 28 Feb 2018 17:31:08 +0100
