## chrony 3.4

=== debian/changelog ===
chrony (3.4-4.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:52:55 +0800

chrony (3.4-4.lnd.1) unstable; urgency=medium

  * Fix LoongArch64 dependence libseccomp.
  * 

 -- zhangjialing <zhangjialing@loongson.cn>  Mon, 28 Jun 2021 10:24:13 +0800

chrony (3.4-4) unstable; urgency=medium

  * debian/patches/*:
    - Add allow-further-syscalls-in-seccomp-filter.patch. Supplementing the
    seccomp filter whitelist with those syscalls is a prerequisite, notably for
    the arm64 architecture.

  [ Leigh Brown ]
  * debian/patches/*:
    - Add allow-recv-send-in-seccomp-filter.patch. Necessary on armel and
    ppc64el. Other architectures might also be affected. (Closes: #924494)

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 18 Mar 2019 19:35:34 +0100

chrony (3.4-3) unstable; urgency=medium

  * debian/.gitlab-ci.yml:
    - Check for missing hardening flags.

  * debian/patches/*:
    - Add allow-_llseek-in-seccomp-filter.patch. Needed on various 32-bit
    plateforms to log the {raw}measurements and statistics information when
    the seccomp filter is enabled. Thanks a lot to Francesco Poli (wintermute)
    <invernomuto@paranoici.org> for the report. (Closes: #923137)
    - Add allow-waitpid-in-seccomp-filter.patch. Needed to correctly stop
    chronyd on some plateforms when the seccomp filter is enabled.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 04 Mar 2019 23:32:12 +0100

chrony (3.4-2) unstable; urgency=medium

  * debian/.gitlab-ci.yml:
    - Replace home-made GitLab CI with the standard Salsa pipeline.
    - Allow autopkgtest job to fail. The time-sources-from-dhcp-servers test
    currently fails due to a testbed issue on salsa CI.

  * debian/chrony.default:
    - Enable the system call filter by default.

  * debian/control:
    - Bump standard-version to 4.3.0 (no changes required).
    - Use the new debhelper-compat (= 12) notation and drop d/compat.
    - Add Pre-Depends: ${misc:Pre-Depends}. Debhelper compatibility level 12
    makes use of the “--skip-systemd-native” flag from “invoke-rc.d”. Adding
    Pre-Depends: ${misc:Pre-Depends} to d/control ensure that we have a recent
    enough version of “init-system-helpers”.
    - Suggest networkd-dispatcher.

  * debian/copyright:
    - Add myself as a copyright holder for 2019.

  * debian/links:
    - Now that “networkd-dispatcher” is in the Debian archive, link
    NetworkManager dispatcher script to networkd-dispatcher routable and off
    states. Patch cherry-picked from Ubuntu; thanks to Christian Ehrhardt
    <christian.ehrhardt@canonical.com> for working on this.

  * debian/NEWS:
    - Report that a system call filter is now enabled by default and the way
    to disable it if needed.

  * debian/rules:
    - Don’t enable the system call filter on some architectures due to missing
    support in the “libseccomp” and/or the Linux kernel.

  * debian/upstream/:
    - Strip upstream key from extra signatures. Thanks lintian!
    - Remove the Miroslav-Lichvar.txt file as it serves no purpose.

  * debian/usr.sbin.chronyd:
    - Don’t include “tunables/sys”. The etc/apparmor.d/tunables/sys file has
    been deprecated in AppArmor 2.13.1! The @{sys} variable is now defined in
    “tunables/kernelvars” which is included in “tunables/global”.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 13 Feb 2019 17:08:17 +0100

chrony (3.4-1) unstable; urgency=medium

  * Import upstream version 3.4:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Merge branch “experimental” into “master”.

  * debian/chrony.service:
    - Conflict with ntpsec.service.

  * debian/copyright:
    - Update copyright years.

  * debian/patches/*:
    - Remove fix-samplefilt-unit-test-to-work-with-low-precision-clock.patch,
    fixed upstream.

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 21 Sep 2018 14:12:03 +0200

chrony (3.4~pre1-2) experimental; urgency=medium

  * debian/patches/*:
    - Cherry-pick upstream patch to fix samplefilt unit test to work with
    low-precision clocks. This should prevent chrony from failing to build
    from source on HPPA and Alpha.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 10 Sep 2018 18:39:58 +0200

chrony (3.4~pre1-1) experimental; urgency=medium

  * Import upstream version 3.4-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/:
    - Add “.gitlab-ci.yml” file to use GitLab Continuous Integration.

  * debian/chrony.if-{post-down,up}:
    - Use the new “onoffline” command to tell chronyd to switch all sources to
    the online or offline status according to the current network configuration.

  * debian/chrony.ppp.ip-{down,up}:
    - As for ifupdown scripts, use the “onoffline” command.

  * debian/control:
    - Bump standard-version to 4.2.1 (no changes required).

  * debian/patches/*:
    - Remove fall-back-to-urandom.patch. Applied in this prerelease.

  * debian/post{inst,rm}:
    - Use “command -v” instead of “which” to enhance portability.

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 02 Sep 2018 19:14:08 +0200
