=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Vincent Blut <vincent.debian@free.fr>
 Uploaders: Joachim Wiedorn <joodebian@joonet.de>
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Build-Depends: asciidoctor (>= 1.5.3-1~),
                bison,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                dh-apparmor,
                libcap-dev [linux-any],
                libedit-dev,
-               libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x x32],
+               libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 loongarch64 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x x32],
                nettle-dev,
                pkg-config,
                pps-tools (>= 0.20120406+g0deb9c7e-2) [linux-any]
@@ -21,13 +21,15 @@
 
 Package: chrony
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          iproute2 [linux-any],
          lsb-base,
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: dnsutils
+Suggests: dnsutils,
+          networkd-dispatcher
 Conflicts: ntp,
            time-daemon
 Provides: time-daemon
