=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-apparmor,
                libcap-dev [linux-any],
                libedit-dev,
-               libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 loongarch64 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x x32],
+               libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x x32],
                nettle-dev,
                pkg-config,
                pps-tools (>= 0.20120406+g0deb9c7e-2) [linux-any]
