## chrony 3.5

=== debian/changelog ===
chrony (3.5-6ubuntu6.2) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-14367.patch: add functions for common file
      operations and switch to new util file functions in
      logging.c, main.c, sysincl.h, util.c, util.h.
    - CVE-2020-14367
  * Fix test for NTP era split
    - debian/patches/test-fix-util-unit-test-for-NTP-era-split.patch: in
      test/unit/util.c.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 25 Aug 2020 11:47:23 -0300

chrony (3.5-6ubuntu6.1) focal; urgency=medium

  * d/patches/: Add allow-some-*time64-syscalls-in-seccomp-filter.patch
    (LP: #1878005) Thanks to Vincent Blut
    - backport time64 fix to 3.5-6 level

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 20 May 2020 10:16:34 +0200

chrony (3.5-6ubuntu6) focal; urgency=medium

  * d/postrm: Reinstate the remove target (LP: #1873810)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 20 Apr 2020 15:58:52 +0200

chrony (3.5-6ubuntu5) focal; urgency=medium

  * d/t/control: harden time-sources-from-dhcp-servers test for systemd change
    (LP: #1873031)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Apr 2020 18:23:10 +0200

chrony (3.5-6ubuntu4) focal; urgency=medium

  * debian/postrm:
    - Stop starting systemd-timesyncd in postrm. This is no longer relevant
      since systemd-timesyncd is a standalone package declaring
      Conflicts/Replaces/Provides: time-daemon. (Closes 955773, LP: #1872183)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Apr 2020 09:01:30 +0200

chrony (3.5-6ubuntu3) focal; urgency=medium

  * avoid multiple time services running concurrently (LP: #1870144).
    This fixes the autopkgtests vs chrond itself, the issue of concurrent
    systemd-timesyncd will be fixed in systemd by (LP 1849156)
    - d/t/upstream-system-tests: stop chrony/systemd-timesynd before tests
    - d/t/upstream-system-tests: fix stderr in case services do not exist

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 01 Apr 2020 09:25:45 +0200

chrony (3.5-6ubuntu2) focal; urgency=medium

  * fix capsh usage in focal avoiding to always fall back to -x (LP: #1867036)
    - d/control: add versioned dependency to libcap2-bin new enough to
      support --has-p
    - d/chronyd-starter.sh: update capsh usage to use --has-p

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 31 Mar 2020 10:19:20 +0200

chrony (3.5-6ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1866753). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows to run NTP server in
        containers on a default installation and avoid failing to sync time (or
        if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 12 Mar 2020 11:02:33 +0100

chrony (3.5-6) unstable; urgency=medium

  * debian/chrony.service:
    - Don’t conflict with systemd-timesyncd.service.
    A few users complain that chronyd does not start at boot. The way the
    Conflict= directive works internally might cause both systemd-timesyncd
    and chronyd to be inactive at boot. So by relying solely on the
    disable-with-time-daemon.conf drop-in file provided by systemd, we should
    get rid of this malfunction while still preventing these two time daemons
    from being active at the same time. Kudos notably go to Santiago Vila for
    the report and providing SSH access to a GCE instance where the issue was
    reproducible and Michael Biebl for debugging. (Closes: #947936)

  * debian/control:
    - Bump Standards-Version to 4.5.0 (no changes required).
    - No need to explicitly conflict with ntp as it now provides time-daemon.

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/patches/:
    - Add allow-clock_adjtime-in-seccomp-filter.patch.
    glibc 2.31 switched the adjtimex() function to the clock_adjtime
    system call.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version. This new version supports glibc >= 2.31 headers.
    (LP: #1866753)

  * debian/tests/control:
    - Run the upstream-simulation-test-suite as root.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 10 Mar 2020 19:17:16 +0100

chrony (3.5-5ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1859969). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)

