=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 -include /usr/share/dpkg/buildtools.mk
 export CC
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -33,3 +35,19 @@
 
 override_dh_fixperms:
 	dh_fixperms -X usr/share/chrony/chrony.keys
+
+override_dh_installinit:
+	dh_installinit
+# Disable the system call filter on architectures mentioned below
+# due to missing support in libseccomp and/or in the Linux kernel.
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 m68k riscv64 sh4 sparc64))
+	sed -i '/DAEMON_OPTS=/s/"-F -1"/""/' $(BASE)/etc/default/chrony
+endif
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test
+endif
+
+override_dh_missing:
+	dh_missing --fail-missing
