=== debian/tests/control ===
Tests: upstream-simulation-test-suite
Depends: @builddeps@, build-essential, ca-certificates, wget
Restrictions: isolation-container, build-needed, skippable, needs-root

Tests: time-sources-from-dhcp-servers
Depends: @, isc-dhcp-server, isc-dhcp-client, iproute2, kmod
# allow-stderr is needed until systemd fixed LP: 1873031
Restrictions: isolation-machine, needs-root, allow-stderr

Features: test-name=run_system_tests
Test-Command: debian/tests/upstream-system-tests
Depends: @builddeps@
Restrictions: build-needed, isolation-container, needs-root

Features: test-name=run_destructive_system_tests
Test-Command: debian/tests/upstream-system-tests -d 1[0-9][0-9]-*
Depends: @, @builddeps@, ethtool
Restrictions: build-needed, isolation-machine, needs-root
