## chrony 3.5.1

=== debian/changelog ===
chrony (3.5.1-1ubuntu2) groovy; urgency=medium

  * d/chronyd-starter.sh: fix commandline argument parsing (LP: #1898000)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 06 Oct 2020 12:20:40 +0200

chrony (3.5.1-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows to run NTP server in
        containers on a default installation and avoid failing to sync time (or
        if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes
    - d/t/control: harden time-sources-from-dhcp-servers test for systemd change
      (LP: 1873031) [no more needed with recent systemd that is in groovy]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 26 Aug 2020 15:30:48 +0200

chrony (3.5.1-1) unstable; urgency=medium

  * Import upstream version 3.5.1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.
    - CVE-2020-14367: create new file when writing pidfile.

  * debian/chrony.lintian-overrides:
    - Remove unused override.

  [ Ville Skyttä ]
  * debian/chrony.conf:
    - Comment spelling fix. (MR: !5)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 20 Aug 2020 14:07:22 +0200

chrony (3.5-9ubuntu2) groovy; urgency=medium

  * No change rebuild against new libnettle8 and libhogweed6 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jun 2020 22:22:19 +0100

chrony (3.5-9ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1878005). Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows to run NTP server in
        containers on a default installation and avoid failing to sync time (or
        if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
    - d/t/control: harden time-sources-from-dhcp-servers test for systemd change
      (LP: 1873031)
  * Dropped changes [in Debian now]
    - d/t/upstream-system-tests: stop chrony/systemd-timesynd before tests
    - d/t/upstream-system-tests: fix stderr in case services do not exist
    - Stop starting systemd-timesyncd in postrm. This is no longer relevant
      since systemd-timesyncd is a standalone package declaring
      Conflicts/Replaces/Provides: time-daemon. (Closes 955773, LP: 1872183)
    - d/postrm: Reinstate the remove target (LP: 1873810)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 20 May 2020 09:57:39 +0200

chrony (3.5-9) unstable; urgency=medium

  * debian/patches/:
    - Add allow-some-*time64-syscalls-in-seccomp-filter.patch. Needed for
    32-bit architectures with new system calls using 64-bit time_t.
    (LP: #1878005)

  * debian/tests/control:
    - Add needs-internet restriction to the upstream-simulation-test-suite
    test.

  [ Christian Ehrhardt ]
  * debian/tests/upstream-simulation-test-suite:
    - Skip if preparation steps fail.
    - Make preparation steps more verbose.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 19 May 2020 16:42:18 +0200

chrony (3.5-8) unstable; urgency=medium

  * debian/postrm:
    - Stop starting systemd-timesyncd in postrm. This is no longer relevant
    since systemd-timesyncd is a standalone package declaring
    Conflicts/Replaces/Provides: time-daemon. (Closes: #955773)

  [ Christian Ehrhardt ]

