=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: chrony
 Section: net
 Priority: optional
-Maintainer: Vincent Blut <vincent.debian@free.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Blut <vincent.debian@free.fr>
 Uploaders: Joachim Wiedorn <joodebian@joonet.de>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Build-Depends: asciidoctor (>= 1.5.3-1~),
                bison,
                debhelper-compat (= 12),
                dh-apparmor,
                libcap-dev [linux-any],
                libedit-dev,
-               libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x x32],
+               libseccomp-dev (>= 2.4.3-1~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
+               net-tools <!nocheck>,
                nettle-dev,
                pkg-config,
-               pps-tools (>= 0.20120406+g0deb9c7e-2) [linux-any]
+               pps-tools (>= 0.20120406+g0deb9c7e-2) [linux-any],
+               procps <!nocheck>
 Homepage: https://chrony.tuxfamily.org
 Vcs-Git: https://salsa.debian.org/debian/chrony.git
 Vcs-Browser: https://salsa.debian.org/debian/chrony
@@ -24,14 +27,14 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          iproute2 [linux-any],
-         lsb-base,
+         libcap2-bin (>= 1:2.32-1),
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: dnsutils,
           networkd-dispatcher
-Conflicts: ntp,
-           time-daemon
+Breaks: network-manager (<< 1.20.0-1~)
+Conflicts: time-daemon
 Provides: time-daemon
 Replaces: time-daemon
 Description: Versatile implementation of the Network Time Protocol
