=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 override_dh_install:
 	dh_install
 	install -m 0640 -t $(BASE)/usr/share/chrony/ debian/chrony.keys
-	install -m 0755 -T examples/chrony.nm-dispatcher $(BASE)/etc/NetworkManager/dispatcher.d/20-chrony
+	install -m 0755 -T examples/chrony.nm-dispatcher $(BASE)/usr/lib/NetworkManager/dispatcher.d/20-chrony
 	install -m 0644 -T examples/chrony.logrotate $(BASE)/etc/logrotate.d/chrony
 	dh_apparmor --profile-name=usr.sbin.chronyd -pchrony
 	install -D -p -m 0644 debian/chrony.dhcp $(BASE)/etc/dhcp/dhclient-exit-hooks.d/chrony
