=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,14 @@
 		--with-ntp-era=$(shell date -d '1970-01-01 00:00:00+00:00' +'%s') \
 		--enable-ntp-signd \
 		--with-hwclockfile=/etc/adjtime \
-		--with-pidfile=/run/chronyd.pid \
+		--with-pidfile=/run/chrony/chronyd.pid \
 		--host-system=Linux
 
 override_dh_install:
 	dh_install
 	install -m 0640 -t $(BASE)/usr/share/chrony/ debian/chrony.keys
-	install -m 0755 -T examples/chrony.nm-dispatcher $(BASE)/usr/lib/NetworkManager/dispatcher.d/20-chrony
+	install -m 0755 -T examples/chrony.nm-dispatcher.dhcp ${BASE}/usr/lib/NetworkManager/dispatcher.d/20-chrony-dhcp
+	install -m 0755 -T examples/chrony.nm-dispatcher.onoffline $(BASE)/usr/lib/NetworkManager/dispatcher.d/20-chrony-onoffline
 	install -m 0644 -T examples/chrony.logrotate $(BASE)/etc/logrotate.d/chrony
 	dh_apparmor --profile-name=usr.sbin.chronyd -pchrony
 	install -D -p -m 0644 debian/chrony.dhcp $(BASE)/etc/dhcp/dhclient-exit-hooks.d/chrony
@@ -40,7 +41,7 @@
 	dh_installinit
 # Disable the system call filter on architectures mentioned below
 # due to missing support in libseccomp and/or in the Linux kernel.
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 m68k riscv64 sh4 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 m68k sh4 sparc64))
 	sed -i '/DAEMON_OPTS=/s/"-F -1"/""/' $(BASE)/etc/default/chrony
 endif
 
@@ -48,6 +49,3 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
 endif
-
-override_dh_missing:
-	dh_missing --fail-missing
