=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/\.tar\.gz$/-tar-gz-asc.txt/ \
https://download.tuxfamily.org/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
